Appendix A. Appendix

All of the projects in this book have prerequisites for your development environment and hardware configuration. For most projects, at a minimum, you’ll need to install the latest stable version of Node.js, the Johnny-Five library, and StandardFirmata firmware on your Arduino. Projects that require a different setup will make those requirements clear and provide steps to get you up and running. If you need help installing and configuring your software or hardware, we’ve provided some basic instructions here to get you started.

Installing Node.js

To use Johnny-Five, you’ll need Node.js v0.10.x or later. You can find prebuilt installers for Mac and Windows at http://nodejs.org/download/. On Linux, you should be able ...

Get Make: JavaScript Robotics now with the O’Reilly learning platform.

O’Reilly members experience live online training, plus books, videos, and digital content from nearly 200 publishers.